<div class="d-flex justify-content-center row align-items-center vh-100">
  <div *ngIf = "pagina == 'A'" class="jumbotron  text-center rounded-0 "  style="height: max-content; width: max-content">
    <h1 class="display-4">Hello FIIS 2021</h1>
    <hr class="my-4">
    <p>Ingresa tus datos para acceder a los recursos de la página.</p>
    <form>
      <div class="form-group">
        <input type="text" class="form-control" id="codUni" name="codUni" placeholder="Código UNI" aria-describedby="codUniHelp" [(ngModel)]="usuario.codUni">
      </div>
      <div class="form-group">
        <input type="password" class="form-control" id="credencial" name="credencial" placeholder="Contraseña" [(ngModel)]="usuario.credencial">
      </div>
      <div class="form-group">
        <button type="submit" class="btn btn-primary" (click)="autenticarUsuario()">Ingresar</button>
      </div>
      <div class="form-group">
        <a (click)="cambiarPagina()" class="btn btn-primary" >Crear cuenta</a>
      </div>
    </form>
  </div>
  <div *ngIf="pagina == 'R'" class="jumbotron  text-center rounded-0 " style="height: max-content; width: max-content">
    <h1 class="display-4">Crear cuenta</h1>
    <hr class="my-4">
    <p>Registra tus datos para acceder a los recursos de la página.</p>
    <form>
      <div class="form-group">
        <input type="text" class="form-control" id="nombre" name="nombre" placeholder="Nombres" [(ngModel)]="usuario.nombre">
      </div>
      <div class="form-group">
        <input type="text" class="form-control" id="apellido" name="apellido" placeholder="Apellidos" [(ngModel)]="usuario.apellido">
      </div>
      <div class="form-group">
        <select class="form-control " id="especialidad" name="especialidad">
          <option selected disabled>Especialidad</option>
          <option id="I1" [(ngModel)]="usuario.especialidad">I1</option>
          <option id="I2" [(ngModel)]="usuario.especialidad">I2</option>
        </select>
      </div>
      <div class="form-group">
        <select class="form-control " id="ciclo">
          <option selected disabled>Ciclo Relativo</option>
          <option id="1" [(ngModel)]="usuario.ciclo">1</option>
          <option id="2" [(ngModel)]="usuario.ciclo">2</option>
          <option id="3" [(ngModel)]="usuario.ciclo">3</option>
          <option id="4" [(ngModel)]="usuario.ciclo">4</option>
          <option id="5" [(ngModel)]="usuario.ciclo">5</option>
          <option id="6" [(ngModel)]="usuario.ciclo">6</option>
          <option id="7" [(ngModel)]="usuario.ciclo">7</option>
          <option id="8" [(ngModel)]="usuario.ciclo">8</option>
          <option id="9" [(ngModel)]="usuario.ciclo">9</option>
          <option id="10" [(ngModel)]="usuario.ciclo">10</option>
        </select>
      </div>
      <div class="form-group">
        <input type="email" class="form-control" id="correoUni" name="correoUni" placeholder="Correo UNI" aria-describedby="emailHelp" [(ngModel)]="usuario.correoUni">
      </div>
      <div  class="form-group">
        <input type="text" class="form-control" id="codUni1" name="codUni1" placeholder="Código UNI" [(ngModel)]="usuario.codUni">
      </div>
      <div class="form-group">
        <input type="password" class="form-control" id="credencial1" name="credencial1" placeholder="Contraseña" [(ngModel)]="usuario.credencial">
      </div>
      <div class="form-group">
        <input type="password" class="form-control" id="credencial2" name="credencial2" placeholder="Ingrese nuevamente su contraseña" [(ngModel)]="credencial">
      </div>
      <div class="form-group">
        <a (click)="registrarUsuario()" class="btn btn-primary">Registrar</a>
      </div>
      <div class="form-group">
        <button (click)="cambiarPagina()" type="submit" class="btn btn-primary" >Ingresar</button>
      </div>
    </form>
  </div>
</div>
